Ubuntu

[MASTER] Flash player doesn't work properly on Firefox 3 64bits (crash,gray square)

Reported by Alejandro Díaz-Caro on 2008-06-09
420
This bug affects 55 people
Affects Status Importance Assigned to Milestone
adobe-flashplugin (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by sewert
firefox-3.0 (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by sewert
flashplugin-nonfree (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by sewert

Bug Description

Binary package hint: firefox-3.0

Adobe's Flash plugin doesn't work every time. Some times it work properly, and some times it show just a gray square where it should show the embed flash object.
On konqueror it works ok, so this is an issue of Firefox, not of flash.

Some info of my system:
janus@ernestina:~$ lsb_release -rd
Description: Ubuntu 8.04
Release: 8.04
janus@ernestina:~$ apt-cache policy flashplugin-nonfree
flashplugin-nonfree:
  Instalados: 9.0.124.0ubuntu2
  Candidato: 9.0.124.0ubuntu2
  Tabla de versión:
 *** 9.0.124.0ubuntu2 0
        500 http://ftp.usf.edu hardy/multiverse Packages
        100 /var/lib/dpkg/status
janus@ernestina:~$ apt-cache policy firefox
firefox:
  Instalados: 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy
  Candidato: 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy
  Tabla de versión:
 *** 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy 0
        500 http://ppa.launchpad.net hardy/main Packages
        100 /var/lib/dpkg/status
     3.0~b5+nobinonly-0ubuntu3 0
        500 http://ftp.usf.edu hardy/main Packages
(I'm using FF3RC2, but it also didn't work properly on FF3RC1 nor FF3b5)

ProblemType: Bug
Architecture: amd64
Date: Mon Jun 9 13:11:53 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: nvidia
Package: firefox-3.0 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy [modified: usr/lib/firefox-3.0/ffox-3-beta-profile-migration-dialog usr/lib/firefox-3.0/firefox]
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=es_AR:es
 PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=es_AR.UTF-8
 SHELL=/bin/bash
SourcePackage: firefox-3.0
Uname: Linux 2.6.24-18-generic x86_64
UnreportableReason: Este no es un genuino paquete Ubuntu

Alejandro Díaz-Caro (janus) wrote :

On Mon, Jun 09, 2008 at 04:22:44PM -0000, Alejandro Díaz-Caro wrote:
> Public bug reported:
>
> Binary package hint: firefox-3.0
>
> Adobe's Flash plugin doesn't work every time. Some times it work properly, and some times it show just a gray square where it should show the embed flash object.
> On konqueror it works ok, so this is an issue of Firefox, not of flash.
>

use

sudo update-alternatives --auto xulrunner-addons-flashplugin

or if that doesnt work

sudo update-alternatives --config xulrunner-addons-flashplugin

to select the globally used ffox 3 flashplugin.

 status invalid

 - Alexander

Changed in firefox-3.0:
status: New → Invalid

On Mon, Jun 9, 2008 at 1:36 PM, Alexander Sack wrote:
> sudo update-alternatives --config xulrunner-addons-flashplugin

janus@ernestina:~$ sudo update-alternatives --config
xulrunner-addons-flashplugin

Sólo hay un programa que provee xulrunner-addons-flashplugin
(/var/lib/flashplugin-nonfree/npwrapper.libflashplayer.so). No se
configurará nada.

Translation: "There is only one program that provides
xulrunner-addons-flashplugin
(/var/lib/flashplugin-nonfree/npwrapper.libflashplayer.so). Nothing
will be configured."

On Mon, Jun 09, 2008 at 05:02:19PM -0000, Alejandro Díaz-Caro wrote:
> On Mon, Jun 9, 2008 at 1:36 PM, Alexander Sack wrote:
> > sudo update-alternatives --config xulrunner-addons-flashplugin
>
> janus@ernestina:~$ sudo update-alternatives --config
> xulrunner-addons-flashplugin
>
> Sólo hay un programa que provee xulrunner-addons-flashplugin
> (/var/lib/flashplugin-nonfree/npwrapper.libflashplayer.so). No se
> configurará nada.
>
> Translation: "There is only one program that provides
> xulrunner-addons-flashplugin
> (/var/lib/flashplugin-nonfree/npwrapper.libflashplayer.so). Nothing
> will be configured."
>

tried --auto?

 - Alexander

On Mon, Jun 9, 2008 at 2:49 PM, Alexander Sack <email address hidden> wrote:
> tried --auto?

You are right! It works properly after doing that (with --auto). Thanks a lot!

On Mon, Jun 09, 2008 at 06:04:27PM -0000, Alejandro Díaz-Caro wrote:
> On Mon, Jun 9, 2008 at 2:49 PM, Alexander Sack <email address hidden> wrote:
> > tried --auto?
>
> You are right! It works properly after doing that (with --auto). Thanks
> a lot!
>

OK, thanks. UR welcome!

 - Alexander

Download full text (5.0 KiB)

I launched firefox from console to see what happens, because flash in some pages still having problems.
This is the log (captured with firefox 2> log, so only errors appear here):

---- Firefox Starts ----

ERROR: ld.so: object '/usr/lib/libartsdsp.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsc.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsdsp.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsc.so.0' from LD_PRELOAD cannot be preloaded: ignored.

---- Entering to YouTube ----

(npviewer.bin:11762): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

(npviewer.bin:11762): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64
ERROR: ld.so: object '/usr/lib/libartsdsp.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsc.so.0' from LD_PRELOAD cannot be preloaded: ignored.

(npviewer.bin:11787): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

(npviewer.bin:11787): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

(firefox:11696): Gtk-CRITICAL **: gtk_widget_get_display: assertion `GTK_IS_WIDGET (widget)' failed

(firefox:11696): Gtk-CRITICAL **: gtk_widget_get_display: assertion `GTK_IS_WIDGET (widget)' failed

(firefox:11696): Gtk-CRITICAL **: gtk_widget_get_display: assertion `GTK_IS_WIDGET (widget)' failed

(firefox:11696): Gtk-CRITICAL **: gtk_widget_get_display: assertion `GTK_IS_WIDGET (widget)' failed
ERROR: ld.so: object '/usr/lib/libartsdsp.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsc.so.0' from LD_PRELOAD cannot be preloaded: ignored.

(npviewer.bin:11819): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

(npviewer.bin:11819): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64
error: duplicate affix flag W in line SFX W Y 264 S
warning: incompatible stripping characters and condition:
SFX W umar �se [ae]husar
error: duplicate affix flag W in line SFX W Y 202 S
error: duplicate affix flag W in line SFX W Y 29 S
error: duplicate affix flag W in line SFX W Y 195 S
error: duplicate affix flag W in line SFX W Y 49 S
error: duplicate affix flag W in line SFX W Y 48 S
error: duplicate affix flag W in line SFX W Y 45 S
warning: incompatible stripping characters and condition:
SFX W emir i��is e�ir
error: duplicate affix flag W in line SFX W Y 84 S
error: duplicate affix flag W in line SFX W Y 29 S
error: duplicate affix flag W in line SFX W Y 38 S
error: duplicate affix flag W in line SFX W Y 39 S

---- Entering to whos.amung.us in a new tab ----

(npviewer.bin:11819): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed

(npviewer.bin:11819): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:11819): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:11819): Gtk-CRITICAL **: gtk_widget_...

Read more...

Alejandro Díaz-Caro (janus) wrote :

And this is doing exactly the same test with konqueror:

---- Konqueror starts ----

ERROR: ld.so: object '/usr/lib/libartsdsp.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsc.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsdsp.so.0' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libartsc.so.0' from LD_PRELOAD cannot be preloaded: ignored.

---- Entering to YouTube ----

(npviewer.bin:12478): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

(npviewer.bin:12478): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64

---- Entering to whos.among.us in a new tab ----

(no errors)

Jeremy von Hoff (jvonhoff) wrote :

Can someone change this from "invalid" status? I've done both "update-alternatives" commands, and still get flash errors (YouTube videos show a gray square, for example).

John Vivirito (gnomefreak) wrote :

Please provide all info that you can like version of firefox by using apt-cache policy firefox-3.0 and if you are on 64bit or 32 bit trying the flag that Alexander mentions above and any log files you can get to capture any errors or warnings most of time you can do this by running a backtrace since firefox-3 doesnt output any errors to terminal

On Mon, Jul 07, 2008 at 01:39:27PM -0000, Jeremy von Hoff wrote:
> Can someone change this from "invalid" status? I've done both "update-
> alternatives" commands, and still get flash errors (YouTube videos show
> a gray square, for example).
>

OK, so does a click start flash after doing that? are you using flash 10?

 - Alexander

> OK, so does a click start flash after doing that? are you using flash 10?

No, a click does not start the flash. I've JUST upgraded to Flash 10, so I'll see how that works for me.

www.sliderocket.com - click on login. Thats a website which always breaks
like that when flash breaks so a good one to test it on.

2008/7/22 Jeremy von Hoff <email address hidden>:

> > OK, so does a click start flash after doing that? are you using flash
> 10?
>
> No, a click does not start the flash. I've JUST upgraded to Flash 10,
> so I'll see how that works for me.
>
> --
> Flash player doesn't work properly on Firefox 3 64bits
> https://bugs.launchpad.net/bugs/238606
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "firefox-3.0" source package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: firefox-3.0
>
> Adobe's Flash plugin doesn't work every time. Some times it work properly,
> and some times it show just a gray square where it should show the embed
> flash object.
> On konqueror it works ok, so this is an issue of Firefox, not of flash.
>
> Some info of my system:
> janus@ernestina:~$ lsb_release -rd
> Description: Ubuntu 8.04
> Release: 8.04
> janus@ernestina:~$ apt-cache policy flashplugin-nonfree
> flashplugin-nonfree:
> Instalados: 9.0.124.0ubuntu2
> Candidato: 9.0.124.0ubuntu2
> Tabla de versión:
> *** 9.0.124.0ubuntu2 0
> 500 http://ftp.usf.edu hardy/multiverse Packages
> 100 /var/lib/dpkg/status
> janus@ernestina:~$ apt-cache policy firefox
> firefox:
> Instalados: 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy
> Candidato: 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy
> Tabla de versión:
> *** 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy 0
> 500 http://ppa.launchpad.net hardy/main Packages
> 100 /var/lib/dpkg/status
> 3.0~b5+nobinonly-0ubuntu3 0
> 500 http://ftp.usf.edu hardy/main Packages
> (I'm using FF3RC2, but it also didn't work properly on FF3RC1 nor FF3b5)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Mon Jun 9 13:11:53 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy [modified:
> usr/lib/firefox-3.0/ffox-3-beta-profile-migration-dialog
> usr/lib/firefox-3.0/firefox]
> PackageArchitecture: amd64
> ProcEnviron:
> LANGUAGE=es_AR:es
>
> PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-18-generic x86_64
> UnreportableReason: Este no es un genuino paquete Ubuntu
>

changed from "invalid" to "new". on amd64, firefox-3 offers to install the flash plugin, but it does not work then.

SoloTurn (soloturn) on 2008-09-20
Changed in firefox-3.0:
status: Invalid → New
Jerome Leclanche (adys) wrote :

Flash on Firefox under 64bits is an absolute disaster, it leaks memory and either crashes the browser or gives a gray square.

Someone needs to work on this. It's been going on for a year.

FF3.0.5, Flash 10.

I've the exact same problems. Flash with my Firefox 3.0.5 on kubuntu 8.10 (amd64) just does not work probably. Sometimes it just displays the mentioned gray squares instead of the flash content. There are some pages where it does not work at anytime (the new Onion News Player seems to be an example: http://www.theonion.com/content/video/) and other pages where it happens at random occasions. Sometimes even with flash objects that worked just fine a few minutes before.
The log shows the exact same problems ((npviewer.bin:26095): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libqtcurve.so: wrong ELF class: ELFCLASS64), but these messages also appear, when entering a site where flash is working - so it probably is not related to the problem.
Can I provide any more input, to help solving this issue?

bigal50 (bigal50) wrote :

Confirmed this problem on Jaunty a5 amd64 in my case it crashed with an npviewer.bin this was reported with apport. Sorry I clicked oout without saving the bug#

Shows 10 dupes marking Confirmed,

Changed in flashplugin-nonfree:
status: New → Confirmed
sewert (ewi100) on 2009-03-08
Changed in firefox-3.0:
status: New → Confirmed

Is the new native 64bit version of flash already in jaunty? If so, has anyone already tried jaunty to see if this behaviour is still there?

Lars Ljung (larslj) wrote :

I have been using the alpha release of 64-bit Flash since a couple of months, and I haven't noticed any problems with it so far. It would be great if Ubuntu could use this version instead of the 32-bit version. Unfortunately the license terms for the alpha says that "you are not permitted to use or otherwise rely on the software for any commercial or production purpose", which might be a problem. Either way, it's a good work-around.

The alpha release is available at http://labs.adobe.com/downloads/flashplayer10.html

Martin (lodp) wrote :

I can confirm that. I had the grey square problem in Intrepid and installed the native 64-bit alpha version. Been working without any problems for several weeks now.

jonnyblade (davehaddad) wrote :

I am running intrepid 32 bit with the same issue, I had it with gutsy as well, I have updated fire fox, os versions, kernels and plugin versions, to no avail, I have just ended up running opera when I need you tube and such. It really is getting to me, very convinced on giving up,

confiq (confiq) wrote :

I've installed 9.04 beta and i still have this problem....
There is native Adobe flash for 64bit at http://labs.adobe.com/technologies/flashplayer10/
I used in 8.10 and i didn't have any problem!

Changed in firefox-3.0 (Ubuntu):
status: Confirmed → Invalid
Martin (lodp) wrote :

So why is this bug invalid?

I just tried flashplugin-nonfree from the Jaunty repositories for the first time (after having used the 64-bit native plugin from Adobe Labs without problems for months), and the problem persists exactly as under Intrepid.

Why not include the new native plugin in the repositories? It would be a definite improvement, even though it's only a pre-release..

Martin wrote:
> So why is this bug invalid?
>
> I just tried flashplugin-nonfree from the Jaunty repositories for the
> first time (after having used the 64-bit native plugin from Adobe Labs
> without problems for months), and the problem persists exactly as under
> Intrepid.
>
> Why not include the new native plugin in the repositories? It would be a
> definite improvement, even though it's only a pre-release..
>
>
It's an invalid bug for Firefox 3.0. It's a flash packaging problem,
not a Firefox bug. It is correctly assigned to the flashplugin-nonfree
package.

Sorry, I overlooked that, my bad..

Do you know why doesn't the bug have an importance assigned - this does seem to be somewhat severe and it's been known for almost a year..

Is the alpha version too soon to be included in the repositories?

Micah Gersten (micahg) wrote :

See https://bugs.launchpad.net/bugs/326555 for the story on the packaging of the 64 bit version. In short, yes, alpha is too early.

summary: - Flash player doesn't work properly on Firefox 3 64bits (crash,gray
- square)
+ [MASTER] Flash player doesn't work properly on Firefox 3 64bits
+ (crash,gray square)
John Vivirito (gnomefreak) wrote :

Please take all topics related to flash 64 upstream package somewhere else. We have a bug on it already adn it is not relevent to this bug at all. The other bug has almost all info needed on it. Please only comment on that bug regaurding questions that you need or have answers for.

scarboni888 (scarboni888) wrote :

@Martin: Thank you. I just successfully resolved the problem in FF 3.0.11 in AMD64 Hardy (8.04) using your instructions in the duplicate at https://bugs.launchpad.net/nspluginwrapper/+bug/246450?comments=all

I'll repeat them here for convenience:

$ apt-get remove flashplugin-nonfree
$ wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.d21.1.linux-x86_64.so.tar.gz
$ tar zxvf libflashplayer-10.0.d21.1.linux-x86_64.so.tar.gz
$ mv libflashplayer.so ~/.mozilla/plugins/libflashplayer.so

reindeer (reindeer) wrote :

I can confirm this bug. But youtube.com gives a BLACK box instead of a gray.
I am using Jaunty on amd64.
Only flash related package in synaptic selected is adobe-flashplugin.

$ sudo update-alternatives --config xulrunner-addons-flashplugin

Es gibt nur 1 Programm, welches xulrunner-addons-flashplugin bereitstellt
(/usr/lib/adobe-flashplugin/libflashplayer.so). Nichts zu konfigurieren.

Konqueror 4.2.2 works, firefox 3.0.12 does not.

Installing the binary libflashplayer-10.0.22.87.linux-x86_64.so.tar.gz from adobe manually into ~/.mozilla/plugins/libflashplayer.so like described in https://bugs.launchpad.net/nspluginwrapper/+bug/246450?comments=all did not help.

"about:plugins" in firefox says that "Shockwave Flash 10.0 r22" is loaded.

For the time being, the adobe-flashplugin should check for amd64 and give a warning or reject installation.

reindeer (reindeer) wrote :

Astonishingly, I recognized that I cn't view youtube.com videos (black flash frame), but the youtube videos an www.liberal09.de can be watched with the same browser.

It seems that SOME flash page can be watched, others not.

Dorian Scholz (dorianscholz) wrote :

Had the same problem on my Jaunty 64bit.
Solved it using the instructions above with a few changes:

For Jaunty it is:
$ apt-get remove flashplugin-installer

and I also for some reason had to remove:
$ apt-get remove konqueror-nsplugins

also adobe has a new 64 bit alpha version out:
$ wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
$ tar zxvf libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
$ mkdir ~/.mozilla/plugins
$ mv libflashplayer.so ~/.mozilla/plugins/libflashplayer.so

So far this seems to work a lot better.

Dorian Scholz (dorianscholz) wrote :

Never mind my last sentence...
I don't get the segfaults or grey sqaures anymore, but closing a youtube tab freezes firefox completely.
And the sound worked at first, but now it's gone again...

So this does not seem to be the solution for me!

Appiah (appiah) wrote :

For some reason , some flash sites dont work at all for me meanwhile some run just fine.
This is how I fixed it. (Tried from a fresh Jaunty 64bit install)

apt-get install flashplugin-installer
apt-get remove flashplugin-installer
(Do not run apt-get autoremove after that)

wget http://download.macromedia.com/pub/labs/flashplayer10/libfla
shplayer-10.0.32.18.linux-x86_64.so.tar.gz

tar xvf libflash*

mkdir .mozilla/plugins/
mv libflash* .mozilla/plugins/

Start firefox and sites that did not work before is now working.

Sites that did not work until I did this

http://svtplay.se/t/102534/aktuellt
http://www.crunchyroll.com/media-527302/gintama-156/

Appiah (appiah) wrote :

Installing a Jaunty 64bit from scratch , installing flashplugin-installer.
Then upgrading to Karmic also seams to solve this problem for me.

deader69 (deader69) wrote :

Firefox displays empty grey rect where flash video should be.

For me, it only happens sometimes, after
  watching a video,
  then opening or tabbing through other windows.
When I return, the empty grey rectangle is there, clicking on it does nothing.

Seen on YouTube, haven't tried any other sites yet.

Refreshing the browser page reloads it just fine.

Noticing a second bug; mouse-clicks on flash plugin rect sometimes not recognized.
Ex. Clicking should pause video. Can't hide the semi-trans overlay at bottom of vid (showing soundtrack info)
Will look for apropriate launchpad thread to post that bug.

Info:

Firefox > Help > About Mozilla Firefox :
  Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.4) Gecko/20091028 Ubuntu/9.10 (karmic) Firefox/3.5.4

Click-on-Flash-panel > Copy Debug Info :
sd=BD075FC86&el=detailpage&plid=AAR3pi%5FpjHWZyG3t&md=1&debug%5FplaybackQuality=medium&fmt=5&sdetail=f%253Arelated%252C&nsipbps=12121%2E414387031407&csipt=watch&nsidf=20&cr=US&fexp=905304%2C900036%2C901806&h=360&scoville=1&debug%5FsourceData=BD075FC86&cfps=0&pd=0%2E8060000000000116&w=480&debug%5Fdate=Thu%20Nov%205%2013%3A23%3A44%20GMT%2D0800%202009&debug%5FvideoId=ykNr7Ov%5FcMQ&debug%5FflashVersion=LNX%2010%2C0%2C32%2C18&vid=Op6hVo3t3sp0ALwpn2EEvqnREwPtX8FJC&hl=en

dstoian (dstoian) wrote :

There is a workaround for not being able to click on buttons in some flash apps (like youtube), see this post, which shows you how to install the 64 bit version of flash player:

http://ubuntuforums.org/showthread.php?p=8323064

I'll try the solution you gave just because I tried so long to solve the bug
but one solution that worked for me was upgrading to 9.04 and now I use
9.10. I find that they work great and this problem and others seemed to have
resolved themselves.

On Sun, Nov 15, 2009 at 2:56 PM, dstoian <email address hidden> wrote:

> There is a workaround for not being able to click on buttons in some
> flash apps (like youtube), see this post, which shows you how to install
> the 64 bit version of flash player:
>
> http://ubuntuforums.org/showthread.php?p=8323064
>
> --
> [MASTER] Flash player doesn't work properly on Firefox 3 64bits (crash,gray
> square)
> https://bugs.launchpad.net/bugs/238606
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “adobe-flashplugin” package in Ubuntu: New
> Status in “firefox-3.0” package in Ubuntu: Invalid
> Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: firefox-3.0
>
> Adobe's Flash plugin doesn't work every time. Some times it work properly,
> and some times it show just a gray square where it should show the embed
> flash object.
> On konqueror it works ok, so this is an issue of Firefox, not of flash.
>
> Some info of my system:
> janus@ernestina:~$ lsb_release -rd
> Description: Ubuntu 8.04
> Release: 8.04
> janus@ernestina:~$ apt-cache policy flashplugin-nonfree
> flashplugin-nonfree:
> Instalados: 9.0.124.0ubuntu2
> Candidato: 9.0.124.0ubuntu2
> Tabla de versión:
> *** 9.0.124.0ubuntu2 0
> 500 http://ftp.usf.edu hardy/multiverse Packages
> 100 /var/lib/dpkg/status
> janus@ernestina:~$ apt-cache policy firefox
> firefox:
> Instalados: 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy
> Candidato: 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy
> Tabla de versión:
> *** 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy 0
> 500 http://ppa.launchpad.net hardy/main Packages
> 100 /var/lib/dpkg/status
> 3.0~b5+nobinonly-0ubuntu3 0
> 500 http://ftp.usf.edu hardy/main Packages
> (I'm using FF3RC2, but it also didn't work properly on FF3RC1 nor FF3b5)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Mon Jun 9 13:11:53 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~rc2+nobinonly-0ubuntu1~fta1~hardy [modified:
> usr/lib/firefox-3.0/ffox-3-beta-profile-migration-dialog
> usr/lib/firefox-3.0/firefox]
> PackageArchitecture: amd64
> ProcEnviron:
> LANGUAGE=es_AR:es
>
> PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-18-generic x86_64
> UnreportableReason: Este no es un genuino paquete Ubuntu
>

Hail Holy Ghost (dec86) wrote :

This is a serious bug in Firefox. Reloading the page does not work, the only thing I've found works is restarting the computer, and even then that isn't a guarantee.

Is there seriously no solution for this? I hate to say that Firefox isn't the best (I'm using it now haha) but are there other Linux alternatives?

Matthew Woerly (nattgew) wrote :

The 64-bit version from Adobe here
http://labs.adobe.com/technologies/flashplayer10/64bit.html
has been working very well for me for a long time now.

Jeroen Hoek (mail-jeroenhoek) wrote :

I too have installed the newer version mentioned above manually, and haven't looked back since. I am surprised a newer version hasn't been pushed to Karmic; the issues with the distro version are quite serious. Is there a plan to release the newer upstream version to Karmic?

Hail Holy Ghost (dec86) wrote :

Thanks! I uninstalled it with synaptic and reinstalled with the script "sudo apt-get install nspluginwrapper flashplugin-nonfree" and it now works.

Hopefully it won't mess up again in the future :-)

Robert Persson (ireneshusband) wrote :

I can confirm that the problem went away for me when I installed the 64-bit version Nattgew has linked to.

hybaken (hybaken) wrote :

Hello,
I m using Ubuntu 64bit lucid,
and I have the same problem with google-chrome , and ofc Firefox too.
unfortunately the download of flash10 64bit is closed down now, so I cant solve problem http://labs.adobe.com/technologies/flashplayer10/64bit.html
So its not just Firefox problem its google-chrome too.

daniel1904 (dan-orrego) wrote :

As hybaken said, i'm too currently using lucid lynx and the problem with flash persists. The download for flash10 64 bits is closed now,so i wan't have an alternative. I'm currently using chrome too but the problems are the same.

Thomas Hotz (thotz) on 2012-04-24
Changed in adobe-flashplugin (Ubuntu):
status: New → Confirmed
Dante Díaz (dante) on 2012-09-26
security vulnerability: no → yes
security vulnerability: yes → no
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers